Bug 390771 - rsync server doesn't work
rsync server doesn't work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 12:51 EST by Orion Poplawski
Modified: 2008-05-21 12:06 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-11-19 12:51:38 EST
Description of problem:

Running rsync daemons from xinetd, I get:


type=AVC msg=audit(1195494511.811:620538): avc:  denied  { dac_override } for 
pid=26101 comm="rsync" capability=1 scontext=system_u:system_r:rsync_t:s0
tcontext=system_u:system_r:rsync_t:s0 tclass=capability
type=AVC msg=audit(1195494511.811:620538): avc:  denied  { dac_read_search } for
 pid=26101 comm="rsync" capability=2 scontext=system_u:system_r:rsync_t:s0
tcontext=system_u:system_r:rsync_t:s0 tclass=capability

and the rsync daemon cannot chdir to the proper directory.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-106.el5.3  (built on rhel5, not 5.1)

How reproducible:
everytime
Comment 1 Daniel Walsh 2007-11-19 14:04:28 EST
You can add these rules using audit2allow.

I will add these permissions in u2.

Comment 2 RHEL Product and Program Management 2007-11-19 14:14:23 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Daniel Walsh 2007-11-26 11:51:32 EST
Fixed in selinux-policy-2.4.6-107.el5
Comment 4 Jay Turner 2007-11-30 02:33:02 EST
QE ack for RHEL5.2.  Reproducer in comment 0.
Comment 8 errata-xmlrpc 2008-05-21 12:06:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html

Note You need to log in before you can comment on or make changes to this bug.